Index: generic/src/console/cmd.c
===================================================================
--- generic/src/console/cmd.c	(revision fbf7b4c84e6dfb4548cc87160234f53d9547af3c)
+++ generic/src/console/cmd.c	(revision 7f1c620c9e5bd00a90322b5118b47b8b033b5152)
@@ -480,11 +480,11 @@
 int cmd_call0(cmd_arg_t *argv)
 {
-	__address symaddr;
+	uintptr_t symaddr;
 	char *symbol;
-	__native (*f)(void);
+	unative_t (*f)(void);
 #ifdef ia64
 	struct {
-		__native f;
-		__native gp;
+		unative_t f;
+		unative_t gp;
 	}fptr;
 #endif
@@ -493,16 +493,16 @@
 	if (!symaddr)
 		printf("Symbol %s not found.\n", argv->buffer);
-	else if (symaddr == (__address) -1) {
+	else if (symaddr == (uintptr_t) -1) {
 		symtab_print_search(argv->buffer);
 		printf("Duplicate symbol, be more specific.\n");
 	} else {
 		symbol = get_symtab_entry(symaddr);
-		printf("Calling f(): %.*p: %s\n", sizeof(__address) * 2, symaddr, symbol);
+		printf("Calling f(): %.*p: %s\n", sizeof(uintptr_t) * 2, symaddr, symbol);
 #ifdef ia64
 		fptr.f = symaddr;
-		fptr.gp = ((__native *)cmd_call2)[1];
-		f =  (__native (*)(void)) &fptr;
+		fptr.gp = ((unative_t *)cmd_call2)[1];
+		f =  (unative_t (*)(void)) &fptr;
 #else
-		f =  (__native (*)(void)) symaddr;
+		f =  (unative_t (*)(void)) symaddr;
 #endif
 		printf("Result: %#zx\n", f());
@@ -515,12 +515,12 @@
 int cmd_call1(cmd_arg_t *argv)
 {
-	__address symaddr;
+	uintptr_t symaddr;
 	char *symbol;
-	__native (*f)(__native,...);
-	__native arg1 = argv[1].intval;
+	unative_t (*f)(unative_t,...);
+	unative_t arg1 = argv[1].intval;
 #ifdef ia64
 	struct {
-		__native f;
-		__native gp;
+		unative_t f;
+		unative_t gp;
 	}fptr;
 #endif
@@ -529,5 +529,5 @@
 	if (!symaddr)
 		printf("Symbol %s not found.\n", argv->buffer);
-	else if (symaddr == (__address) -1) {
+	else if (symaddr == (uintptr_t) -1) {
 		symtab_print_search(argv->buffer);
 		printf("Duplicate symbol, be more specific.\n");
@@ -535,11 +535,11 @@
 		symbol = get_symtab_entry(symaddr);
 
-		printf("Calling f(%#zx): %.*p: %s\n", arg1, sizeof(__address) * 2, symaddr, symbol);
+		printf("Calling f(%#zx): %.*p: %s\n", arg1, sizeof(uintptr_t) * 2, symaddr, symbol);
 #ifdef ia64
 		fptr.f = symaddr;
-		fptr.gp = ((__native *)cmd_call2)[1];
-		f =  (__native (*)(__native,...)) &fptr;
+		fptr.gp = ((unative_t *)cmd_call2)[1];
+		f =  (unative_t (*)(unative_t,...)) &fptr;
 #else
-		f =  (__native (*)(__native,...)) symaddr;
+		f =  (unative_t (*)(unative_t,...)) symaddr;
 #endif
 		printf("Result: %#zx\n", f(arg1));
@@ -552,13 +552,13 @@
 int cmd_call2(cmd_arg_t *argv)
 {
-	__address symaddr;
+	uintptr_t symaddr;
 	char *symbol;
-	__native (*f)(__native,__native,...);
-	__native arg1 = argv[1].intval;
-	__native arg2 = argv[2].intval;
+	unative_t (*f)(unative_t,unative_t,...);
+	unative_t arg1 = argv[1].intval;
+	unative_t arg2 = argv[2].intval;
 #ifdef ia64
 	struct {
-		__native f;
-		__native gp;
+		unative_t f;
+		unative_t gp;
 	}fptr;
 #endif
@@ -567,5 +567,5 @@
 	if (!symaddr)
 		printf("Symbol %s not found.\n", argv->buffer);
-	else if (symaddr == (__address) -1) {
+	else if (symaddr == (uintptr_t) -1) {
 		symtab_print_search(argv->buffer);
 		printf("Duplicate symbol, be more specific.\n");
@@ -573,11 +573,11 @@
 		symbol = get_symtab_entry(symaddr);
 		printf("Calling f(0x%zx,0x%zx): %.*p: %s\n", 
-		       arg1, arg2, sizeof(__address) * 2, symaddr, symbol);
+		       arg1, arg2, sizeof(uintptr_t) * 2, symaddr, symbol);
 #ifdef ia64
 		fptr.f = symaddr;
-		fptr.gp = ((__native *)cmd_call2)[1];
-		f =  (__native (*)(__native,__native,...)) &fptr;
+		fptr.gp = ((unative_t *)cmd_call2)[1];
+		f =  (unative_t (*)(unative_t,unative_t,...)) &fptr;
 #else
-		f =  (__native (*)(__native,__native,...)) symaddr;
+		f =  (unative_t (*)(unative_t,unative_t,...)) symaddr;
 #endif
 		printf("Result: %#zx\n", f(arg1, arg2));
@@ -590,14 +590,14 @@
 int cmd_call3(cmd_arg_t *argv)
 {
-	__address symaddr;
+	uintptr_t symaddr;
 	char *symbol;
-	__native (*f)(__native,__native,__native,...);
-	__native arg1 = argv[1].intval;
-	__native arg2 = argv[2].intval;
-	__native arg3 = argv[3].intval;
+	unative_t (*f)(unative_t,unative_t,unative_t,...);
+	unative_t arg1 = argv[1].intval;
+	unative_t arg2 = argv[2].intval;
+	unative_t arg3 = argv[3].intval;
 #ifdef ia64
 	struct {
-		__native f;
-		__native gp;
+		unative_t f;
+		unative_t gp;
 	}fptr;
 #endif
@@ -606,5 +606,5 @@
 	if (!symaddr)
 		printf("Symbol %s not found.\n", argv->buffer);
-	else if (symaddr == (__address) -1) {
+	else if (symaddr == (uintptr_t) -1) {
 		symtab_print_search(argv->buffer);
 		printf("Duplicate symbol, be more specific.\n");
@@ -612,11 +612,11 @@
 		symbol = get_symtab_entry(symaddr);
 		printf("Calling f(0x%zx,0x%zx, 0x%zx): %.*p: %s\n", 
-		       arg1, arg2, arg3, sizeof(__address) * 2, symaddr, symbol);
+		       arg1, arg2, arg3, sizeof(uintptr_t) * 2, symaddr, symbol);
 #ifdef ia64
 		fptr.f = symaddr;
-		fptr.gp = ((__native *)cmd_call2)[1];
-		f =  (__native (*)(__native,__native,__native,...)) &fptr;
+		fptr.gp = ((unative_t *)cmd_call2)[1];
+		f =  (unative_t (*)(unative_t,unative_t,unative_t,...)) &fptr;
 #else
-		f =  (__native (*)(__native,__native,__native,...)) symaddr;
+		f =  (unative_t (*)(unative_t,unative_t,unative_t,...)) symaddr;
 #endif
 		printf("Result: %#zx\n", f(arg1, arg2, arg3));
@@ -660,26 +660,26 @@
 int cmd_set4(cmd_arg_t *argv)
 {
-	__u32 *addr ;
-	__u32 arg1 = argv[1].intval;
+	uint32_t *addr ;
+	uint32_t arg1 = argv[1].intval;
 	bool pointer = false;
 
 	if (((char *)argv->buffer)[0] == '*') {
-		addr = (__u32 *) get_symbol_addr(argv->buffer+1);
+		addr = (uint32_t *) get_symbol_addr(argv->buffer+1);
 		pointer = true;
 	} else if (((char *)argv->buffer)[0] >= '0' && 
 		   ((char *)argv->buffer)[0] <= '9')
-		addr = (__u32 *)atoi((char *)argv->buffer);
+		addr = (uint32_t *)atoi((char *)argv->buffer);
 	else
-		addr = (__u32 *)get_symbol_addr(argv->buffer);
+		addr = (uint32_t *)get_symbol_addr(argv->buffer);
 
 	if (!addr)
 		printf("Symbol %s not found.\n", argv->buffer);
-	else if (addr == (__u32 *) -1) {
+	else if (addr == (uint32_t *) -1) {
 		symtab_print_search(argv->buffer);
 		printf("Duplicate symbol, be more specific.\n");
 	} else {
 		if (pointer)
-			addr = (__u32 *)(*(__native *)addr);
-		printf("Writing 0x%x -> %.*p\n", arg1, sizeof(__address) * 2, addr);
+			addr = (uint32_t *)(*(unative_t *)addr);
+		printf("Writing 0x%x -> %.*p\n", arg1, sizeof(uintptr_t) * 2, addr);
 		*addr = arg1;
 		
